
Java Client - Task #3721

Story # 3720 (New): resource maps should be validated

add resource map validation routine to libclient_java

2013-04-19 21:47 - Rob Nahf

Status: In Progress Start date: 2013-04-19

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 30%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Release Backlog   

Story Points:    

Description

to validate the resource map in terms of DataONE requirements.

Expose in ResourceMapFactory, will require examining the ResourceMap object, so will need to provide a method to expose the

resource map as well.  It will be used by the reasoner-based parser.

History

#1 - 2013-04-25 18:17 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 90

added validateResourceMap to ResourceMapFactory.  Still need to finalize the constraints and adjust the validate routine.

#2 - 2014-10-01 21:40 - Dave Vieglais

- Target version set to Release Backlog

#3 - 2015-02-11 20:42 - Rob Nahf

- Project changed from Infrastructure to Java Client

- Category changed from d1_libclient_java to d1_libclient_java

- % Done changed from 90 to 30
